using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Linq;
using System.Collections.Generic;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Init(object sender, EventArgs e)
    {
        RadGrid1.MasterTableView.FilterExpression = @"Int32?(it[""parent_fkid""]) = 0";
        RadGrid1.ItemCommand += new GridCommandEventHandler(RadGrid1_ItemCommand);
    }

    void RadGrid1_ItemCommand(object sender, GridCommandEventArgs e)
    {
        if (e.CommandName == RadGrid.ExportToWordCommandName)
        {
            RemoveButtons(RadGrid1.MasterTableView);
            
        }
    }

    public void RemoveButtons(Control ctrl)
    {
        var q = new Stack<Control>(ctrl.Controls.OfType<Control>());

        while (q.Count > 0)
        {
            Control control = q.Pop();

            if (control is IButtonControl || control is ICheckBoxControl || control is ITextControl)
            {
                ctrl.Controls.Remove(control);
            }

            if (control.HasControls())
            {
                RemoveButtons(control);
            }
        }
    }
    protected DataTable GenerateDB()
    {
        DataTable myDataTable = new DataTable();
        myDataTable.Columns.Add("pkid", typeof(int));
        myDataTable.Columns.Add("stepname", typeof(string));
        myDataTable.Columns.Add("parent_fkid", typeof(int));

        myDataTable.Rows.Add(1, "Name 1", 0);
        myDataTable.Rows.Add(2, "Name 2", 0);

        myDataTable.Rows.Add(3, "Name 3-1", 1);

        myDataTable.Rows.Add(4, "Name 4-3", 3);
        myDataTable.Rows.Add(5, "Name 5-3", 3);
        myDataTable.Rows.Add(6, "Name 6-3", 3);
        myDataTable.Rows.Add(7, "Name 7-3", 3);
        myDataTable.Rows.Add(8, "Name 8-3", 3);

        return myDataTable;
    }

    protected void RadGrid1_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        (source as RadGrid).DataSource = GenerateDB();
    }
}